#include "X3D_ColorRGBA.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

ColorRGBA::ColorRGBA()
: X3DColorNode()
{
  define(Recorder<ColorRGBA>::getTypeName("ColorRGBA", "Rendering"));
  
  define(Recorder<ColorRGBA, MFColorRGBA>::getAttribute("color", &ColorRGBA::_color, MFColorRGBA()));
}

ColorRGBA::~ColorRGBA()
{
}

void ColorRGBA::setColor(const MFColorRGBA &color)
{
  _color = color;
}

}
}
